Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalAdminPaginationHelper

    java.lang.Object
      com.bea.jsptools.portal.PortalAdminPaginationHelper

public class PortalAdminPaginationHelper
extends Object

Constructor Summary
`PortalAdminPaginationHelper()`

Method Summary
`static int` | `getActualPageSize(com.bea.tree.TreeStateManager treeStateManager, int pageSize, com.bea.treeutils.PrunableTreeNode parentNode)`
`static int` | `getActualPageSize(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath)`
`static DesktopDefinition[]` | `getCurrentPaginatedDesktopDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String portalPath, String nodePath, String currentWebApp, HttpServletRequest request)`
`static DesktopDefinition[]` | `getPaginatedDesktopDefinitions(String webAppName, String parentTaxonomy, int pageSize, String startId, String portalPath, int actualPageSize, boolean purgeFirstResult, com.bea.jsptools.delegation.PortalNodePruner pnp, HttpServletRequest request)`
`static String` | `getStartTitle(com.bea.tree.TreeStateManager treeStateManager, int pageSize, com.bea.treeutils.PrunableTreeNode parentNode, boolean errorCheck)`
`static String` | `getStartTitle(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, boolean errorCheck)`
`static void` | `paginationSetup(com.bea.tree.TreeStateManager treeStateManager, int pageSize, com.bea.treeutils.PrunableTreeNode parentNode, int returnSetSize, boolean errorCheck)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalAdminPaginationHelper

    public PortalAdminPaginationHelper()

Method Detail

### getActualPageSize

    public static int getActualPageSize(com.bea.tree.TreeStateManager treeStateManager,
                                        int pageSize,
                                        com.bea.treeutils.PrunableTreeNode parentNode)

### getActualPageSize

    public static int getActualPageSize(com.bea.tree.TreeStateManager treeStateManager,
                                        int pageSize,
                                        String nodePath)

### getCurrentPaginatedDesktopDefinitions

    public static DesktopDefinition[] getCurrentPaginatedDesktopDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                            int pageSize,
                                                                            String portalPath,
                                                                            String nodePath,
                                                                            String currentWebApp,
                                                                            HttpServletRequest request)
                                                                     throws Exception

  Throws:
    `Exception`

### getPaginatedDesktopDefinitions

    public static DesktopDefinition[] getPaginatedDesktopDefinitions(String webAppName,
                                                                     String parentTaxonomy,
                                                                     int pageSize,
                                                                     String startId,
                                                                     String portalPath,
                                                                     int actualPageSize,
                                                                     boolean purgeFirstResult,
                                                                     com.bea.jsptools.delegation.PortalNodePruner pnp,
                                                                     HttpServletRequest request)
                                                              throws Exception

  Throws:
    `Exception`

### getStartTitle

    public static String getStartTitle(com.bea.tree.TreeStateManager treeStateManager,
                                       int pageSize,
                                       com.bea.treeutils.PrunableTreeNode parentNode,
                                       boolean errorCheck)

### getStartTitle

    public static String getStartTitle(com.bea.tree.TreeStateManager treeStateManager,
                                       int pageSize,
                                       String nodePath,
                                       boolean errorCheck)

### paginationSetup

    public static void paginationSetup(com.bea.tree.TreeStateManager treeStateManager,
                                       int pageSize,
                                       com.bea.treeutils.PrunableTreeNode parentNode,
                                       int returnSetSize,
                                       boolean errorCheck)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved